# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of a Push to Wallet payment request In this tutorial, you'll learn how to use the Global Payments API to retrieve the status of a Push to Wallet payment request. By the end of this tutorial, you'll know how to: - Use the mandatory endToEndId and optional firmRootId to verify the status of your request. - Interpret Push to Wallet response types. ## Before you begin To retrieve the status of a Push to Wallet payment request, you'll need the `endToEndId`, which is provided in a [successful payment response](/docs/treasury/global-payments/capabilities/global-payments/push-to-wallet/how-to/initiate-p2w-request#confirm-response). ## Create and send a status request A [successful response](/docs/treasury/global-payments/capabilities/global-payments/push-to-wallet/how-to/initiate-p2w-request#confirm-response) include an `endToEndId` value, which you can use to retrieve the status of the payment request. To do this, make a `GET` request to the `/payments/status` endpoint, appending your unique `endToEndId` to the end of the call: ```curl curl --request GET \ https://api-mock.payments.jpmorgan.com/tsapi/v1/payments/status?endToEndId= DJ937HJ4L5S0 ``` The following response shows a payment in the `PENDING` status: ```json { "paymentStatus": { "createDateTime": "2023-06-13T00:00:12.145", "status": "PENDING" } } ``` A rejected response contains an [error code](/api/treasury/global-payments/global-payments/error-codes) value, description, and a rule definition that can help determine the reason for the request failure. The following response shows a payment in the `REJECTED` status, along with an additional field, `externalCode`. ```json { "paymentStatus": { "createDateTime": "2023-06-13T00:00:12.145", "status": "REJECTED", "exception": [ { "errorCode": "10005", "errorDescription": "Error occurred on paymentAmount", "ruleDefinition": "Transaction Amount exceeds the limit setup for the payment flow", "externalCode": "AM13" } ] } } ``` ### Push to Wallet supported response types Push to Wallet supports multiple response types. The following table provides a detailed explanation of these response types: **Push to Wallet supported response types** | Status | Description | | --- | --- | | PENDING | The request was initiated successfully and is being processed by J.P. Morgan. The status will remain as PENDING until further updates are triggered. | | PENDING_POSTING | PayPal has successfully received the instruction, but the funds have not yet been deposited into the recipient's account because the payment is pending PayPal's review and processing. | | REJECTED | The request failed our controls, such as sanctions, funds control, or qualification, or was rejected due to issues like recipient account problems, incorrect instructions, or an unverified recipient. | | WAREHOUSED | We received the instruction and warehoused the payment until the requested execution date. | | COMPLETED | The funds were successfully credited to the recipient’s payment method. | | RETURNED | The funds were returned and successfully credited back to your account. | | BLOCKED | PayPal's sanction screening controls blocked the request, and the payout was not made to the recipient. | ## Related Learn how to [initiate a payment request](/docs/treasury/global-payments/capabilities/global-payments/push-to-wallet/how-to/initiate-p2w-request). ## Next steps - Learn how to [get the details of your Push to Wallet payment request](/docs/treasury/global-payments/capabilities/global-payments/push-to-wallet/how-to/get-details-of-p2w-request). - Review [payment/creditor options](/docs/treasury/global-payments/capabilities/global-payments/push-to-wallet/resources). - Understand the required [payment parameters](/docs/treasury/global-payments/capabilities/global-payments/push-to-wallet/payment-parameters) for your region.